<?php
require_once('../wu_init.php');
if (!wu_token()) { exit('wu-err-3'); }
if (!USER_LOGGED) { exit('wu-err-3'); }

if(isset($_POST['id'])){
if(!empty($_POST['id'])){
$id = intval($_POST['id']);

$msg = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,fr,msg FROM ".DB_PREFIX."_messages WHERE id='$id' LIMIT 1"));
if ($msg['fr'] !== $u_id) { wu_log_act(1, 'Пытался загрузить для редактирования чужое или не существующее сообщение'); exit('wu-err-3'); }

echo $msg['msg'];
exit;
} else { exit('wu-err-3'); }
} else { exit('wu-err-3'); }
?>